org.eclipse.gef.requests

## Class BendpointRequest

- java.lang.Object
- - org.eclipse.gef.Request
  - - org.eclipse.gef.requests.LocationRequest
    - - org.eclipse.gef.requests.BendpointRequest

    public class BendpointRequest
    extends LocationRequest

A request to alter a bendpoint.

### Constructor Summary

Constructors
Constructor and Description
`BendpointRequest()`

### Method Summary

Methods
`int` `getIndex()` Returns the index of the bendpoint to be changed.
`ConnectionEditPart` `getSource()` Returns the ConnectionEditPart that the bendpoint belongs to.
`void` `setIndex(int i)` Sets the index of the bendpoint to be changed.
`void` `setSource(ConnectionEditPart s)` Sets the ConnectionEditPart the bendpoint belongs to.

### Methods inherited from class org.eclipse.gef.requests.LocationRequest

`getLocation, setLocation`

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BendpointRequest

    public BendpointRequest()

### Method Detail

#### getIndex

    public int getIndex()

Returns the index of the bendpoint to be changed.

Returns:
  the bendpoint index

#### getSource

    public ConnectionEditPart getSource()

Returns the ConnectionEditPart that the bendpoint belongs to.

Returns:
  the bendpoint's ConnectionEditPart

#### setIndex

    public void setIndex(int i)

Sets the index of the bendpoint to be changed.

Parameters:
  `i` - the bendpoint's index

#### setSource

    public void setSource(ConnectionEditPart s)

Sets the ConnectionEditPart the bendpoint belongs to.

Parameters:
  `s` - the bendpoint's ConnectionEditPart